Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.server
Class AtomNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.syndication.propono.atom.server.AtomException
                  com.sun.syndication.propono.atom.server.AtomNotFoundException

All Implemented Interfaces:
  Serializable

    public class AtomNotFoundException

extends AtomException

Exception thrown by AtomHandler in that case a resource is not found.

See Also:
  Serialized Form

Constructor Summary
`AtomNotFoundException()` Construct new exception
`AtomNotFoundException(String msg)` Construct new exception with message
`AtomNotFoundException(String msg, Throwable t)` Construct new exception with message and root cause
`AtomNotFoundException(Throwable t)` Construct new exception with root cause

Method Summary
`int` | `getStatus()` Get HTTP status code associated with exception (404 not found)

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtomNotFoundException

    public AtomNotFoundException()

  Construct new exception

### AtomNotFoundException

    public AtomNotFoundException(String msg)

  Construct new exception with message

### AtomNotFoundException

    public AtomNotFoundException(String msg,
                                 Throwable t)

  Construct new exception with message and root cause

### AtomNotFoundException

    public AtomNotFoundException(Throwable t)

  Construct new exception with root cause

Method Detail

### getStatus

    public int getStatus()

  Get HTTP status code associated with exception (404 not found)

  Overrides:
    `getStatus` in class `AtomException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD